<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="class_person" kind="class" language="C++" prot="public">
    <compoundname>Person</compoundname>
    <derivedcompoundref refid="class_user" prot="public" virt="non-virtual">User</derivedcompoundref>
    <includes refid="_person_8h" local="no">Person.h</includes>
      <sectiondef kind="private-attrib">
      <memberdef kind="variable" id="class_person_1a7594663aadc0de77616506df8a2f4128" prot="private" static="no" mutable="no">
        <type>std::string</type>
        <definition>std::string Person::name</definition>
        <argsstring></argsstring>
        <name>name</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="128" column="1" bodyfile="models/People/Person/Person.h" bodystart="128" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_person_1afe1083690054fc69072866693d2b6f5a" prot="private" static="no" mutable="no">
        <type>std::string</type>
        <definition>std::string Person::surname</definition>
        <argsstring></argsstring>
        <name>surname</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="129" column="1" bodyfile="models/People/Person/Person.h" bodystart="129" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_person_1a21f6c8565757389094acb13233b68908" prot="private" static="no" mutable="no">
        <type>QDate</type>
        <definition>QDate Person::dateOfBirth</definition>
        <argsstring></argsstring>
        <name>dateOfBirth</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="130" column="1" bodyfile="models/People/Person/Person.h" bodystart="130" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="class_person_1a27a7b19cdace6de9a04ce0d06fec7957" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>Person::Person</definition>
        <argsstring>(std::string name, std::string surname, QDate date)</argsstring>
        <name>Person</name>
        <param>
          <type>std::string</type>
          <declname>name</declname>
        </param>
        <param>
          <type>std::string</type>
          <declname>surname</declname>
        </param>
        <param>
          <type>QDate</type>
          <declname>date</declname>
        </param>
        <briefdescription>
<para><ref refid="class_person" kindref="compound">Person</ref> default constructor with name, surname and date of birth. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>name</parametername>
</parameternamelist>
<parameterdescription>
<para>name of person </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>surname</parametername>
</parameternamelist>
<parameterdescription>
<para>surname of person </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>date</parametername>
</parameternamelist>
<parameterdescription>
<para>date of birth of person</para></parameterdescription>
</parameteritem>
</parameterlist>
Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="37" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="21" bodyend="22"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1a847845e2e214a89e790c584678f1ea97" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>Person::Person</definition>
        <argsstring>(const Person &amp;p)</argsstring>
        <name>Person</name>
        <param>
          <type>const <ref refid="class_person" kindref="compound">Person</ref> &amp;</type>
          <declname>p</declname>
        </param>
        <briefdescription>
<para><ref refid="class_person" kindref="compound">Person</ref> deep copy of person. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>p</parametername>
</parameternamelist>
<parameterdescription>
<para>person to copy </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="43" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="24" bodyend="24"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1ae046bc90711195d83799f81e096ad503" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type><ref refid="class_person" kindref="compound">Person</ref> &amp;</type>
        <definition>Person &amp; Person::operator=</definition>
        <argsstring>(const Person &amp;p)</argsstring>
        <name>operator=</name>
        <param>
          <type>const <ref refid="class_person" kindref="compound">Person</ref> &amp;</type>
          <declname>p</declname>
        </param>
        <briefdescription>
<para>operator = <ref refid="class_person" kindref="compound">Person</ref> deep copy of person </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>p</parametername>
</parameternamelist>
<parameterdescription>
<para>person to copy </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>deep copy of person </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="50" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="26" bodyend="34"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1a700ffd693321c5fe6880262acf43d4da" prot="public" static="no" const="no" explicit="no" inline="no" virt="virtual">
        <type></type>
        <definition>Person::~Person</definition>
        <argsstring>()</argsstring>
        <name>~Person</name>
        <briefdescription>
<para>~Person Destroy person fields </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="55" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="36" bodyend="36"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1a7c6a2bfb43c790bc8260933bd847a582" prot="public" static="no" const="yes" explicit="no" inline="no" virt="virtual">
        <type>bool</type>
        <definition>bool Person::operator==</definition>
        <argsstring>(const Person &amp;other) const </argsstring>
        <name>operator==</name>
        <param>
          <type>const <ref refid="class_person" kindref="compound">Person</ref> &amp;</type>
          <declname>other</declname>
        </param>
        <briefdescription>
<para>virtual because there can be 2 persons with same name and surname and date of birth </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>other</parametername>
</parameternamelist>
<parameterdescription>
<para>other object to compare with </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>True if the 2 persons are the same </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="62" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="38" bodyend="42"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1ae4f47029402c26c3643d23ef04695bb1" prot="public" static="no" const="yes" explicit="no" inline="no" virt="virtual">
        <type>bool</type>
        <definition>bool Person::operator!=</definition>
        <argsstring>(const Person &amp;other) const </argsstring>
        <name>operator!=</name>
        <param>
          <type>const <ref refid="class_person" kindref="compound">Person</ref> &amp;</type>
          <declname>other</declname>
        </param>
        <briefdescription>
<para>virtual because there can be 2 persons with same name and surname and date of birth </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>other</parametername>
</parameternamelist>
<parameterdescription>
<para>other object to compare with </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>True if the 2 persons are different </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="69" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="44" bodyend="48"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1ad6e438f456d3ae6f5b477931c0a6aeba" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Person::setName</definition>
        <argsstring>(std::string name)</argsstring>
        <name>setName</name>
        <param>
          <type>std::string</type>
          <declname>name</declname>
        </param>
        <briefdescription>
<para>set new name </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>name</parametername>
</parameternamelist>
<parameterdescription>
<para>name of person </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="77" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="50" bodyend="52"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1af6a9ce78af39382fbab39f64319c7cde" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Person::setSurname</definition>
        <argsstring>(std::string surname)</argsstring>
        <name>setSurname</name>
        <param>
          <type>std::string</type>
          <declname>surname</declname>
        </param>
        <briefdescription>
<para>set new surname </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>surname</parametername>
</parameternamelist>
<parameterdescription>
<para>surname of person </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="83" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="54" bodyend="56"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1a172e5a16b36e2aa9dfec68b289e1747b" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void Person::setDateOfBirth</definition>
        <argsstring>(QDate dateOfBirth)</argsstring>
        <name>setDateOfBirth</name>
        <param>
          <type>QDate</type>
          <declname>dateOfBirth</declname>
        </param>
        <briefdescription>
<para>set new date of birth </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dateOfBirth</parametername>
</parameternamelist>
<parameterdescription>
<para>new date of birth </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="89" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="58" bodyend="60"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1ac0c7e40e02bfa616e17a0c332dd248eb" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>std::string</type>
        <definition>std::string Person::getName</definition>
        <argsstring>() const </argsstring>
        <name>getName</name>
        <briefdescription>
<para>gets name </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>name of person </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="97" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="62" bodyend="64"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1a7f24e2654e52db9c1f1c368a13135ae1" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>std::string</type>
        <definition>std::string Person::getSurname</definition>
        <argsstring>() const </argsstring>
        <name>getSurname</name>
        <briefdescription>
<para>gets surname </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>surname of person </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="103" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="66" bodyend="68"/>
      </memberdef>
      <memberdef kind="function" id="class_person_1a6958ae5c891dee615a0802bbefd7bc24" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>QDate</type>
        <definition>QDate Person::getDateOfBirth</definition>
        <argsstring>() const </argsstring>
        <name>getDateOfBirth</name>
        <briefdescription>
<para>gets date of birth </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>date of birth </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="109" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="70" bodyend="72"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="friend">
      <memberdef kind="friend" id="class_person_1ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>friend std::ostream &amp;</type>
        <definition>std::ostream&amp; operator&lt;&lt;</definition>
        <argsstring>(std::ostream &amp;out, const Person &amp;person)</argsstring>
        <name>operator&lt;&lt;</name>
        <param>
          <type>std::ostream &amp;</type>
          <declname>out</declname>
        </param>
        <param>
          <type>const <ref refid="class_person" kindref="compound">Person</ref> &amp;</type>
          <declname>person</declname>
        </param>
        <briefdescription>
<para>operator &lt;&lt; printer </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>out</parametername>
</parameternamelist>
<parameterdescription>
<para>stream </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>object</parametername>
</parameternamelist>
<parameterdescription>
<para>to print </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>print object </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="117" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="74" bodyend="80"/>
      </memberdef>
      <memberdef kind="friend" id="class_person_1af39990b4e5fa4f6b4294b345a4846fa1" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>friend std::ostream &amp;</type>
        <definition>std::ostream&amp; operator&lt;&lt;</definition>
        <argsstring>(std::ostream &amp;out, const Person *person)</argsstring>
        <name>operator&lt;&lt;</name>
        <param>
          <type>std::ostream &amp;</type>
          <declname>out</declname>
        </param>
        <param>
          <type>const <ref refid="class_person" kindref="compound">Person</ref> *</type>
          <declname>person</declname>
        </param>
        <briefdescription>
<para>operator &lt;&lt; printer </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>out</parametername>
</parameternamelist>
<parameterdescription>
<para>stream </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>object</parametername>
</parameternamelist>
<parameterdescription>
<para>to print </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>print object </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/Person/Person.h" line="125" column="1" bodyfile="models/People/Person/Person.cpp" bodystart="82" bodyend="84"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Wrap for generic person personal info. </para>    </briefdescription>
    <detaileddescription>
<para>Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <inheritancegraph>
      <node id="151">
        <label>Admin</label>
        <link refid="class_admin"/>
        <childnode refid="150" relation="public-inheritance">
        </childnode>
      </node>
      <node id="149">
        <label>Person</label>
        <link refid="class_person"/>
      </node>
      <node id="150">
        <label>User</label>
        <link refid="class_user"/>
        <childnode refid="149" relation="public-inheritance">
        </childnode>
      </node>
    </inheritancegraph>
    <location file="models/People/Person/Person.h" line="27" column="1" bodyfile="models/People/Person/Person.h" bodystart="27" bodyend="131"/>
    <listofallmembers>
      <member refid="class_person_1a21f6c8565757389094acb13233b68908" prot="private" virt="non-virtual"><scope>Person</scope><name>dateOfBirth</name></member>
      <member refid="class_person_1a6958ae5c891dee615a0802bbefd7bc24" prot="public" virt="non-virtual"><scope>Person</scope><name>getDateOfBirth</name></member>
      <member refid="class_person_1ac0c7e40e02bfa616e17a0c332dd248eb" prot="public" virt="non-virtual"><scope>Person</scope><name>getName</name></member>
      <member refid="class_person_1a7f24e2654e52db9c1f1c368a13135ae1" prot="public" virt="non-virtual"><scope>Person</scope><name>getSurname</name></member>
      <member refid="class_person_1a7594663aadc0de77616506df8a2f4128" prot="private" virt="non-virtual"><scope>Person</scope><name>name</name></member>
      <member refid="class_person_1ae4f47029402c26c3643d23ef04695bb1" prot="public" virt="virtual"><scope>Person</scope><name>operator!=</name></member>
      <member refid="class_person_1ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7" prot="public" virt="non-virtual"><scope>Person</scope><name>operator&lt;&lt;</name></member>
      <member refid="class_person_1af39990b4e5fa4f6b4294b345a4846fa1" prot="public" virt="non-virtual"><scope>Person</scope><name>operator&lt;&lt;</name></member>
      <member refid="class_person_1ae046bc90711195d83799f81e096ad503" prot="public" virt="non-virtual"><scope>Person</scope><name>operator=</name></member>
      <member refid="class_person_1a7c6a2bfb43c790bc8260933bd847a582" prot="public" virt="virtual"><scope>Person</scope><name>operator==</name></member>
      <member refid="class_person_1a27a7b19cdace6de9a04ce0d06fec7957" prot="public" virt="non-virtual"><scope>Person</scope><name>Person</name></member>
      <member refid="class_person_1a847845e2e214a89e790c584678f1ea97" prot="public" virt="non-virtual"><scope>Person</scope><name>Person</name></member>
      <member refid="class_person_1a172e5a16b36e2aa9dfec68b289e1747b" prot="public" virt="non-virtual"><scope>Person</scope><name>setDateOfBirth</name></member>
      <member refid="class_person_1ad6e438f456d3ae6f5b477931c0a6aeba" prot="public" virt="non-virtual"><scope>Person</scope><name>setName</name></member>
      <member refid="class_person_1af6a9ce78af39382fbab39f64319c7cde" prot="public" virt="non-virtual"><scope>Person</scope><name>setSurname</name></member>
      <member refid="class_person_1afe1083690054fc69072866693d2b6f5a" prot="private" virt="non-virtual"><scope>Person</scope><name>surname</name></member>
      <member refid="class_person_1a700ffd693321c5fe6880262acf43d4da" prot="public" virt="virtual"><scope>Person</scope><name>~Person</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
